osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Fumbling with emacs + elpy + flake8


I'm on Ubuntu 16.04. I found out that flake8 did not play well with 
emacs if installed with --user option, nor when installed in a virtual 
environment. Didn't research any further, since I got it working with 
plain pip3 install flake8

Do you see any error messages?


Toni


On 13.9.2018 21:59, Martin Sch??n wrote:
> I am trying to set up emacs for Python coding on my secondary computer.
> I follow these instructions but fail to make flake8 play with elpy:
>
> https://realpython.com/emacs-the-best-python-editor/#elpy-python-development
>
> I have done this some time in the past on my main computer and there it
> works just fine. I have compared the set-up of this on the two computers
> and fail to figure out why it works on one and not the other.
>
> There are a couple of things that are not the same on the computers:
>
> 1) The secondary computer has a later version of emacs installed.
>
> 2) I used pip3 install --user flake8 on the secondary computer but on
> the primary computer I think I left out the --user flag (not knowing
> about it at the time) but I have added the path to .local/bin and
> M-x elpy-config finds flake8 on both computers. Yet it does not
> work on my secondary computer...
>
> Any leads are greatly appreciated.
>
> /Martin
>
> PS Debian on both computers.